com.smartgwt.client.data

## Class TextExportSettings

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.data.TextSettings
    - - com.smartgwt.client.data.TextExportSettings

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class TextExportSettings
      extends TextSettings

  Settings for use with `DataSource.recordsAsText()`.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextExportSettings()`
    `TextExportSettings(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `DateDisplayFormat` | `getDateFormat()` Format to use when outputting date values.
    `DateDisplayFormat` | `getDateTimeFormat()` Format to use when outputting datetime values.
    `ForceTextApproach` | `getForceText()` If set, all text fields will use the indicated `ForceTextApproach` unless they have a specific setting for `DataSourceField.exportForceText`.
    `java.lang.String` | `getLineSeparator()` Separator between Records.
    `java.lang.String` | `getNullValueText()` Text to export for a field with a null value.
    `static TextExportSettings` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Boolean` | `getQuoteValues()` Whether to surround each value with quotes ("").
    `TimeDisplayFormat` | `getTimeFormat()` Format to use when outputting time values.
    `java.lang.Boolean` | `getUseDisplayValue()` Whether to convert each field's value to the corresponding display value for export.
    `TextExportSettings` | `setDateFormat(DateDisplayFormat dateFormat)` Format to use when outputting date values.
    `TextExportSettings` | `setDateTimeFormat(DateDisplayFormat dateTimeFormat)` Format to use when outputting datetime values.
    `TextExportSettings` | `setForceText(ForceTextApproach forceText)` If set, all text fields will use the indicated `ForceTextApproach` unless they have a specific setting for `DataSourceField.exportForceText`.
    `TextExportSettings` | `setLineSeparator(java.lang.String lineSeparator)` Separator between Records.
    `TextExportSettings` | `setNullValueText(java.lang.String nullValueText)` Text to export for a field with a null value.
    `TextExportSettings` | `setQuoteValues(java.lang.Boolean quoteValues)` Whether to surround each value with quotes ("").
    `TextExportSettings` | `setTimeFormat(TimeDisplayFormat timeFormat)` Format to use when outputting time values.
    `TextExportSettings` | `setUseDisplayValue(java.lang.Boolean useDisplayValue)` Whether to convert each field's value to the corresponding display value for export.

    - ### Methods inherited from class com.smartgwt.client.data.TextSettings

      `getEscapingMode, getFieldList, getFieldSeparator, getJsObj, getOrCreateJsObj, isCreated, setEscapingMode, setFieldList, setFieldSeparator, setJavaScriptObject`

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextExportSettings

          public TextExportSettings()

    - #### TextExportSettings

          public TextExportSettings(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static TextExportSettings getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `TextSettings`

    - #### setDateFormat

          public TextExportSettings setDateFormat(DateDisplayFormat dateFormat)
                                           throws java.lang.IllegalStateException

      Format to use when outputting date values. Default is to use the format expected by Microsoft Excel (eg 1-2-2011), which Excel will turn into a real date value (see `ExcelPasting`). The current month-day-year order as set by `DateUtil.setInputFormat()` will be used.
      Parameters:
        `dateFormat` - New dateFormat value. Default value is null
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getDateFormat

          public DateDisplayFormat getDateFormat()

      Format to use when outputting date values. Default is to use the format expected by Microsoft Excel (eg 1-2-2011), which Excel will turn into a real date value (see `ExcelPasting`). The current month-day-year order as set by `DateUtil.setInputFormat()` will be used.
      Returns:
        Current dateFormat value. Default value is null

    - #### setDateTimeFormat

          public TextExportSettings setDateTimeFormat(DateDisplayFormat dateTimeFormat)
                                               throws java.lang.IllegalStateException

      Format to use when outputting datetime values. Default is to combine the configured date and time formats with a space (" ").
      Parameters:
        `dateTimeFormat` - New dateTimeFormat value. Default value is null
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getDateTimeFormat

          public DateDisplayFormat getDateTimeFormat()

      Format to use when outputting datetime values. Default is to combine the configured date and time formats with a space (" ").
      Returns:
        Current dateTimeFormat value. Default value is null

    - #### setForceText

          public TextExportSettings setForceText(ForceTextApproach forceText)
                                          throws java.lang.IllegalStateException

      If set, all text fields will use the indicated `ForceTextApproach` unless they have a specific setting for `DataSourceField.exportForceText`.
      Parameters:
        `forceText` - New forceText value. Default value is null
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getForceText

          public ForceTextApproach getForceText()

      If set, all text fields will use the indicated `ForceTextApproach` unless they have a specific setting for `DataSourceField.exportForceText`.
      Returns:
        Current forceText value. Default value is null

    - #### setLineSeparator

          public TextExportSettings setLineSeparator(java.lang.String lineSeparator)
                                              throws java.lang.IllegalStateException

      Separator between Records. Default is a newline character ("\n").
      Overrides:
        `setLineSeparator` in class `TextSettings`
      Parameters:
        `lineSeparator` - New lineSeparator value. Default value is "\n"
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getLineSeparator

          public java.lang.String getLineSeparator()

      Separator between Records. Default is a newline character ("\n").
      Overrides:
        `getLineSeparator` in class `TextSettings`
      Returns:
        Current lineSeparator value. Default value is "\n"

    - #### setNullValueText

          public TextExportSettings setNullValueText(java.lang.String nullValueText)
                                              throws java.lang.IllegalStateException

      Text to export for a field with a null value. If this property is null, then null fields will be assumed to have the default value for their field type.
      Parameters:
        `nullValueText` - New nullValueText value. Default value is ""
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getNullValueText

          public java.lang.String getNullValueText()

      Text to export for a field with a null value. If this property is null, then null fields will be assumed to have the default value for their field type.
      Returns:
        Current nullValueText value. Default value is ""

    - #### setQuoteValues

          public TextExportSettings setQuoteValues(java.lang.Boolean quoteValues)
                                            throws java.lang.IllegalStateException

      Whether to surround each value with quotes ("").
      Parameters:
        `quoteValues` - New quoteValues value. Default value is true
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getQuoteValues

          public java.lang.Boolean getQuoteValues()

      Whether to surround each value with quotes ("").
      Returns:
        Current quoteValues value. Default value is true

    - #### setTimeFormat

          public TextExportSettings setTimeFormat(TimeDisplayFormat timeFormat)
                                           throws java.lang.IllegalStateException

      Format to use when outputting time values. Default is 24 hour time.
      Parameters:
        `timeFormat` - New timeFormat value. Default value is null
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getTimeFormat

          public TimeDisplayFormat getTimeFormat()

      Format to use when outputting time values. Default is 24 hour time.
      Returns:
        Current timeFormat value. Default value is null

    - #### setUseDisplayValue

          public TextExportSettings setUseDisplayValue(java.lang.Boolean useDisplayValue)
                                                throws java.lang.IllegalStateException

      Whether to convert each field's value to the corresponding display value for export. Default of false will directly export the field's value.
      Parameters:
        `useDisplayValue` - New useDisplayValue value. Default value is false
      Returns:
        `TextExportSettings` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the underlying component has been created

    - #### getUseDisplayValue

          public java.lang.Boolean getUseDisplayValue()

      Whether to convert each field's value to the corresponding display value for export. Default of false will directly export the field's value.
      Returns:
        Current useDisplayValue value. Default value is false